Subject: [xrblock] 转发: ops-dir review of draft-ietf-xrblock-rtcp-xr-loss-conceal-10

From: Qin Wu <[email-masked]>
Date: Sat, 29 Mar 2014 03:31:01 +0000

Hi,Colin:
I agree with your comment. Thanks for your proposed change. 

Regards!
-Qin
-----邮件原件-----
发件人: Colin Perkins [mailto:[email-masked]] 
发送时间: 2014年3月27日 6:51
收件人: Qin Wu
主题: Re: ops-dir review of draft-ietf-xrblock-rtcp-xr-loss-conceal-10

Qin,

[inline]

On 26 Mar 2014, at 02:46, Qin Wu <[email-masked]> wrote:
> Hi, Colin:
> Let me know what you think of the following options for addressing ops-dir review comments?
> 
> Regards!
> -Qin
> -----邮件原件-----
> 发件人: Qin Wu 
> 发送时间: 2014年3月26日 10:45
> 收件人: [email-masked]'
> 抄送: [email-masked]'
> 主题: Re: ops-dir review of draft-ietf-xrblock-rtcp-xr-loss-conceal-10
> 
> Hi,
> In the OPS-DIR review, our reviewer asked to provide the hex value of the default threshold setting and one rounding issue was brought up.
> The related paragraph in the draft is:
> "
>>>   SCS Threshold: 8 bits
>>> 
>>>      The SCS Threshold is defined as the percentage of packets
>>>      corresponding to lost or discarded frames that must occur within a
>>>      one second period in order for the second to be classified as a
>>>      Severely Concealed Second.  This is expressed in numeric format
>>>      0:8 and hence can represent a range of 0.1 to 25.5 percent loss or
>>>      discard.
>>> 
>>>      A default threshold of 5% effective frame loss (50ms effective
>>>      frame loss ) per second is suggested.
> "
> The SCS threshold is represented in percentage. When we use numeric format 0:8 to represent the default value of SCS threshold, we only can represent 0.05078125 rather than 0.05 or 5% (which is set as the default value of threshold in the draft).
> 
> If we change the default threshold value into 0.05078125 and the hex value of 0.05078125 is 0x0D, This rounding issue can be resolved. 

This makes sense to me. I would just say “A default threshold of 5% effective frame loss (50ms effective frame loss) per second is suggested. This corresponds to an SCS Threshold in hexadecimal of 0x0D.”

I don’t think the rounding is important.

Colin

> Alternatively, we can change unit of SCS threshold back into millisecond, we can precisely represent 5% frame loss per second or the default threshold value 0.05. The range of 0.1 to 25.5 percentage can be represented into the range from 1ms effective frame loss to 255ms effective frame loss.
> 
> Regards!
> -Qin

-- 
Colin Perkins
http://csperkins.org/